#pragma once


namespace UI
{
	class CSampleDlg1 : public VWComplexDialog
	{
	public:
							CSampleDlg1();
		virtual				~CSampleDlg1();

	// virtuals
	protected:
		virtual bool		CreateDialogLayout();
		virtual void		OnInizializeContent();
		virtual void		OnDDXInitialize();
		virtual void		OnUpdateUI();

	// events
	protected:

	// dispatch map
	protected:
		DEFINE_EVENT_DISPATH_MAP;
		void				OnTextEditControl(long controlID, VWDialogEventArgs& eventArgs);
		void				OnGetDataButton(long controlID, VWDialogEventArgs& eventArgs);

	// DDX
	protected:
		long                      fIntegerEdit;
		double                    fRealEdit;
		TXString                  fTextEdit;
		bool                      fCheckBox;
		bool                      fRadio1;
		bool                      fRadio2;
		bool                      fRadio3;

	// Inner data
	private:

	};
}
